Create a document type
curl --request POST \
--url https://{region}.affinda.com/v3/document_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"organization": "<string>",
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/document_types"
payload = {
"name": "<string>",
"organization": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', organization: '<string>', description: '<string>'})
};
fetch('https://{region}.affinda.com/v3/document_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"name": "<string>",
"organization": "<string>",
"description": "<string>",
"ingest_email": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Document Types
Create a document type
Create a new document type in the specified organization.
POST
/
v3
/
document_types
Create a document type
curl --request POST \
--url https://{region}.affinda.com/v3/document_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"organization": "<string>",
"description": "<string>"
}
'import requests
url = "https://{region}.affinda.com/v3/document_types"
payload = {
"name": "<string>",
"organization": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', organization: '<string>', description: '<string>'})
};
fetch('https://{region}.affinda.com/v3/document_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"name": "<string>",
"organization": "<string>",
"description": "<string>",
"ingest_email": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Response
Document type created successfully
Uniquely identify a document type.
Example:
"mEFayXdO"
The name of the document type.
The identifier of the organization this document type belongs to.
A description of the document type.
The email address that can be used to email documents directly to this document type.
Was this page helpful?
⌘I